
%global meadversion 3.0.0
%global namedversion 3.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jsonb-spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.0.redhat-00001

Name:           %{?scl_prefix}jsonb-spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java API for JSON Binding (JSON-B)
Group:          Development/Java

%if %with mead
Source100: jakarta.json.bind-api-3.0.0.redhat-00001-project-sources.tar.gz
Source102: jakarta.json.bind-api-3.0.0.redhat-00001-sources.jar
Source103: jakarta.json.bind-api-3.0.0.redhat-00001.pom
Source104: jakarta.json.bind-api-3.0.0.redhat-00001-javadoc.jar
Source105: jakarta.json.bind-api-3.0.0.redhat-00001.jar
%endif

License:        EPL-2.0
URL:            https://github.com/javaee/jsonb-spec
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JSON-B is a standard binding layer for converting Java objects to/from JSON messages.
It defines a default mapping algorithm for converting existing Java classes to JSON,
while enabling developers to customize the mapping process through the use of Java annotations.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jsonb-spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.json.bind-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.json.bind-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.json.bind-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.json.bind-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.json.bind-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.json.bind-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.json.bind-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta.json.bind-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.json.bind-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.json.bind-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta.json.bind-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta.json.bind-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc LICENCE.txt LICENCE.html README.md CONTRIBUTING.md
%endif
%{_javadir}/jakarta.json.bind-api-%{namedversion}.jar
%{_javadir}/jakarta.json.bind-api.jar
%if %with javadoc
%{_javadir}/jakarta.json.bind-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.json.bind-api-javadoc.jar
%endif
%{_javadir}/jakarta.json.bind-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.json.bind-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta.json.bind-api-%{namedversion}
%{_javadocdir}/jakarta.json.bind-api
%endif

%changelog
* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-1.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-2.redhat_00001.1
- Built by CPaaS

* Thu May 26 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.0.2-1.redhat_00001.1
Built by CPaaS



* Tue Oct 15 2019 Yong Yang <yyang@redhat.com> - 1.0.2-1.redhat_00001.1
- RPM wrapper build 1.0.2.redhat-00001

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.redhat_1.1
-  1.0.0.redhat-1 for eap 7.2.0

* Fri Jun 29 2018 Yong Yang <yyang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- 1.0.0.Final-redhat-1
